#
# spec file for package cdrecord (Version 1.11.a06)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         cdrecord
Copyright:    GPL 
Group:        Applications/System
Autoreqprov:  on
Version:      1.11.a06
Release:      20
Source:       cdrtools-1.11a06.tar.bz2
Source1:      scan_scsi.linux
Patch:        cdrtools-1.11a06.patch
Patch1:       cdrtools-1.11a06-makefile.patch
Patch2:       cdrtools-1.11a06-silo.patch
Patch3:       cdrtools-1.11a06-autoconf.patch
Patch4:       cdrtools-1.11a06-nosmmap.patch
URL:          http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html
BuildRoot:    /var/tmp/%{name}-root
Summary:      Tool for writing CDR's

%description
Cdrecord has been implemented with a Philips CDD 521 and
is now maintained with a Philips CDD-2000. It should run
also on lots of Hardware, see /usr/share/doc/packages/cdrecord/README

Authors:
--------
    Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>

SuSE series: ap

%package -n mkisofs
Summary:      Creating CDs under Linux
Group:        Applications/System

%description -n mkisofs
Actually, mkisofs is a pre-mastering program that generates
an iso9660 filesystem . It takes a snapshot  of  a  given
directory  tree,  and  generates a binary image
which
corresponds to an iso9660 filesystem which can be written  to  a
block device.

Authors:
--------
    Eric Youngdale <eric@aib.com>
    H. Peter Anvin <hpa@yggdrasil.com>
    John Brezak <brezak@ch.hp.com>
    Paul Eggert <eggert@twinsun.com>
    Peter van der Veen <peterv@qnx.com>
    R.-D. Marzusch <marzusch@odiehh.hanse.de>

SuSE series: ap

%ifnarch s390
%package -n cdda2wav
Summary:      CD-grabbing tool
Group:        Applications/System

%description -n cdda2wav
The common cd-grabbing tool for linux. The sources are now contained in
the source archive for cdrecord.

Authors:
--------
    Heiko <heiko@colossus.escape.de>

SuSE series: ap

%endif
%prep
%setup -n cdrtools-1.11
%patch
%patch1
%patch2
%patch3
#
mv conf/xconfig.h.in conf/xconfig.h.in.orig
sed -e 's|\(#.*\)\(/\*.*\*/\)|\2\
\1|g' conf/xconfig.h.in.orig >conf/xconfig.h.in
#
#smmap does not work with kernel 2.2
%ifnarch ia64
%patch4
%endif
#
ln -s i586-linux-cc.rul RULES/ia64-linux-cc.rul
ln -s ppc-linux-cc.rul RULES/s390-linux-cc.rul
%{?suse_update_config:%{suse_update_config -f conf}}
cd conf
autoconf

%build
make all MAKEPROG=gmake MANDIR=share/man CFLAGS="$RPM_OPT_FLAGS"
cd mkisofs
make apple_driver

%install
rm -rf $RPM_BUILD_ROOT
make install MAKEPROG=gmake INS_BASE=$RPM_BUILD_ROOT/usr/ MANDIR=share/man
#mkdir patch
#mv Linux.scsi-patch patch
install -d $RPM_BUILD_ROOT/usr/bin
install cdda2wav/readmult \
        cdda2wav/cdda2mp3 \
	cdda2wav/cdda2mp3.new \
	%{S:1} \
	mkisofs/apple_driver \
        $RPM_BUILD_ROOT/usr/bin
ln -sf cdda2wav $RPM_BUILD_ROOT/usr/bin/list_audio_tracks
mv mkisofs/diag/README mkisofs/diag/README.diag

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ABOUT AN* INSTALL README Changelog COPYING README.* START
%doc %{_mandir}/man1/cdrecord.1.gz
%doc %{_mandir}/man1/readcd.1.gz
%doc %{_mandir}/man1/scgcheck.1.gz
/usr/bin/cdrecord
/usr/bin/readcd
/usr/bin/scgcheck

%files -n mkisofs
%defattr(-, root, root)
%doc mkisofs/README* mkisofs/TODO mkisofs/COPYING 
%doc %{_mandir}/man8/*
/usr/bin/mkisofs
/usr/bin/mkhybrid
/usr/bin/isoinfo
/usr/bin/devdump
/usr/bin/isodump
/usr/bin/isovfy
/usr/bin/apple_driver
%ifnarch s390

%files -n cdda2wav
%defattr(-, root, root)
%doc cdda2wav/{Changelog,FAQ,Frontends,HOWTOUSE,NEEDED,OtherProgs,README,THANKS,TODO}
%doc %{_mandir}/man1/cdda2wav.1.gz
/usr/bin/readmult
/usr/bin/scan_scsi.linux
/usr/bin/cdda2mp3
/usr/bin/cdda2mp3.new
/usr/bin/cdda2wav
/usr/bin/list_audio_tracks
%endif

%changelog -n cdrecord
* Mon Sep 03 2001 - nadvornik@suse.cz
- changed version string 1.11a06 -> 1.11.a06
* Tue Aug 14 2001 - nadvornik@suse.cz
- update to 1.11a06
* Thu Jul 12 2001 - nadvornik@suse.cz
- update to 1.11a05
- can be built with all kernels
* Mon Jun 18 2001 - schwab@suse.de
- Fix to compile.
* Thu Apr 26 2001 - ro@suse.de
- added config-dist.sh
* Fri Feb 09 2001 - ro@suse.de
- fixed to compile
* Fri Jan 19 2001 - kukuk@suse.de
- fix missing exit
* Fri Jan 19 2001 - kukuk@suse.de
- cdrecord should only be build on kernel 2.2
* Mon Dec 11 2000 - ro@suse.de
- fixed group typos
* Tue Oct 17 2000 - bk@suse.de
- Use ppc-linux rules for s390.
* Mon Oct 09 2000 - smid@suse.cz
- New version 1.9
* Tue Sep 19 2000 - schwab@suse.de
- Use i586-linux rules for ia64.
- Add %%suse_update_config.
* Fri Jul 21 2000 - smid@suse.cz
- Merge patches for booting SPARCs/silo with version 1.8.1
* Wed Jun 07 2000 - cihlar@suse.cz
- Copyright tag fixed
* Wed May 31 2000 - cihlar@suse.cz
- update to version 1.8.1
* Fri Apr 07 2000 - smid@suse.cz
- buildroot added
* Fri Mar 24 2000 - kukuk@suse.de
- Merge patches for booting SPARCs/silo
* Sun Feb 20 2000 - bk@suse.de
- added link /usr/bin/list_audio_tracks -> cdda2wav (needed for cdda2mp3)
* Sun Feb 06 2000 - olh@suse.de
- update cdrecord to 1.8
  update mkhybrid to 1.12b5.4
  make apple_driver for bootable Mac CD's
* Thu Jan 13 2000 - ro@suse.de
- update to a40-3
* Mon Dec 20 1999 - ro@suse.de
- update to a35
* Mon Oct 18 1999 - ro@suse.de
- update to a30
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - uli@suse.de
- now building mkhybrid with -fsigned-char (PPC)
* Mon Aug 09 1999 - ro@suse.de
- update to 1.8a24
* Mon Jul 12 1999 - ro@suse.de
- update to a23
* Tue Jun 01 1999 - ro@suse.de
- update to 1.8a22 (mkisofs-1.12b5)
* Fri Apr 09 1999 - ro@suse.de
- update to 1.8a20
* Mon Mar 08 1999 - ro@suse.de
- update to 1.8a19
* Mon Feb 15 1999 - ro@suse.de
- update to 1.8a17
- mkisofs and cdda2wav are built from same sources
* Tue Dec 01 1998 - ro@suse.de
- update to 1.8a13
* Mon Nov 02 1998 - ro@suse.de
- update to 1.6.1
* Mon Apr 20 1998 - ro@suse.de
- update to 1.6 final
* Tue Mar 03 1998 - ro@suse.de
- update to 1.6a9  includes new fifo code
* Wed Nov 12 1997 - ms@suse.de
- initial package for suse version 1.5
